Synaptics s3203 touchpad not working after update to kernel 4.15.0-72-generic

Bug #1854798 reported by Lewi S. Kristianto on 2019-12-02
562
This bug affects 101 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

SRU justification
=============
[Impact]
Synaptics s3203 touchpad not working after update to kernel
4.15.0-72-generic

[Fix]
After applied commit "Input: synaptics-rmi4 - avoid processing unknown
IRQs",
no irq response from touchpad.
This commit is depended on commit:
"Input: synaptics-rmi4 - convert irq distribution to irq_domain"

[Test]
Verified on hardware, tests results are good.

[Regression Potential]
Low.
Fix bug that introduced by stable release update.

2nd and 3rd patches are fixes for the 1st patch.
These commits are already included by eoan kernel, so bionic 4.15 only.

Original reports
===========================================================

environment:
Dell Laptop XPS-9333
Device:
# xinput --list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ SYNAPTICS Synaptics Large Touch Screen id=9 [slave pointer (2)]
⎜ ↳ Synaptics s3203 id=12 [slave pointer (2)]
⎜ ↳ Ultrathin Touch Mouse id=11 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Dell WMI hotkeys id=13 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=14 [slave keyboard (3)]
    ↳ Integrated_Webcam_HD: Integrate id=10 [slave keyboard (3)]
    ↳ DELL Wireless hotkeys id=15 [slave keyboard (3)]
    ↳ Video Bus id=7 [slave keyboard (3)]
    ↳ Power Button id=8 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]

# xinput --list-props 12
Device 'Synaptics s3203':
 Device Enabled (142): 1
 Coordinate Transformation Matrix (144): 1.000000, 0.000000, 0.000000, 0.000000, 1.000000, 0.000000, 0.000000, 0.000000, 1.000000
 Device Accel Profile (270): 1
 Device Accel Constant Deceleration (271): 2.500000
 Device Accel Adaptive Deceleration (272): 1.000000
 Device Accel Velocity Scaling (273): 9.712231
 Synaptics Edges (304): 162, 3908, 133, 2339
 Synaptics Finger (305): 25, 30, 0
 Synaptics Tap Time (306): 180
 Synaptics Tap Move (307): 209
 Synaptics Tap Durations (308): 180, 180, 100
 Synaptics ClickPad (309): 1
 Synaptics Middle Button Timeout (310): 0
 Synaptics Two-Finger Pressure (311): 282
 Synaptics Two-Finger Width (312): 7
 Synaptics Scrolling Distance (313): -95, 95
 Synaptics Edge Scrolling (314): 0, 0, 0
 Synaptics Two-Finger Scrolling (315): 1, 1
 Synaptics Move Speed (316): 1.000000, 1.750000, 0.042008, 0.000000
 Synaptics Off (317): 0
 Synaptics Locked Drags (318): 0
 Synaptics Locked Drags Timeout (319): 5000
 Synaptics Tap Action (320): 0, 0, 0, 0, 1, 3, 2
 Synaptics Click Action (321): 1, 3, 2
 Synaptics Circular Scrolling (322): 0
 Synaptics Circular Scrolling Distance (323): 0.100000
 Synaptics Circular Scrolling Trigger (324): 0
 Synaptics Circular Pad (325): 0
 Synaptics Palm Detection (326): 1
 Synaptics Palm Dimensions (327): 10, 200
 Synaptics Coasting Speed (328): 20.000000, 50.000000
 Synaptics Pressure Motion (329): 30, 160
 Synaptics Pressure Motion Factor (330): 1.000000, 1.000000
 Synaptics Resolution Detect (331): 1
 Synaptics Grab Event Device (332): 0
 Synaptics Gestures (333): 1
 Synaptics Capabilities (334): 1, 0, 0, 1, 1, 1, 0
 Synaptics Pad Resolution (335): 42, 42
 Synaptics Area (336): 0, 0, 0, 0
 Synaptics Soft Button Areas (337): 0, 0, 0, 0, 0, 0, 0, 0
 Synaptics Noise Cancellation (338): 23, 23
 Device Product ID (262): 1739, 10036
 Device Node (263): "/dev/input/event5"

# lspci
00:00.0 Host bridge: Intel Corporation Haswell-ULT DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 09)
00:03.0 Audio device: Intel Corporation Haswell-ULT HD Audio Controller (rev 09)
00:14.0 USB controller: Intel Corporation 8 Series USB xHCI HC (rev 04)
00:16.0 Communication controller: Intel Corporation 8 Series HECI #0 (rev 04)
00:1b.0 Audio device: Intel Corporation 8 Series HD Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 8 Series PCI Express Root Port 1 (rev e4)
00:1c.2 PCI bridge: Intel Corporation 8 Series PCI Express Root Port 3 (rev e4)
00:1d.0 USB controller: Intel Corporation 8 Series USB EHCI #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation 8 Series LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 8 Series SATA Controller 1 [AHCI mode] (rev 04)
00:1f.3 SMBus: Intel Corporation 8 Series SMBus Controller (rev 04)
02:00.0 Network controller: Intel Corporation Wireless 7260 (rev 6b)

# lsusb
Bus 001 Device 002: ID 8087:8000 Intel Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 002 Device 004: ID 8087:07dc Intel Corp.
Bus 002 Device 003: ID 1bcf:28ac Sunplus Innovation Technology Inc.
Bus 002 Device 002: ID 06cb:0af8 Synaptics, Inc.
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

# lsmod |grep -i i2
i2c_i801 28672 0
i2c_algo_bit 16384 1 i915
i2c_hid 24576 0
hid 110592 6 i2c_hid,hidp,usbhid,hid_multitouch,hid_generic,hid_rmi

# dmesg |grep -i synaptics
[ 1.977141] usb 2-3: Product: Synaptics Large Touch Screen
[ 1.977142] usb 2-3: Manufacturer: SYNAPTICS
[ 2.111242] rmi4_f01 rmi4-00.fn01: found RMI device, manufacturer: Synaptics, product: s3203, fw id: 1522295
[ 2.175237] input: Synaptics s3203 as /devices/pci0000:00/INT33C3:00/i2c-0/i2c-DLL060A:00/0018:06CB:2734.0001/input/input6
[ 6.196305] input: SYNAPTICS Synaptics Large Touch Screen as /devices/pci0000:00/0000:00:14.0/usb2/2-3/2-3:1.0/0003:06CB:0AF8.0002/input/input17
[ 6.198967] hid-multitouch 0003:06CB:0AF8.0002: input,hiddev0,hidraw1: USB HID v1.11 Mouse [SYNAPTICS Synaptics Large Touch Screen] on usb-0000:00:14.0-3/input0

troubleshooting so far:
1. comment or uncomment /etc/modprobe.d/blacklist.conf blacklist i2c_i801
2. remove xserver-xorg-input-synaptics and install xserver-xorg-input-libinput, and revert back
no result

revert back to kernel 4.15.0-70-generic, touchpad is working

ref:
https://wiki.ubuntu.com/DebuggingTouchpadDetection#generalinfo
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1791921

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: linux-image-4.15.0-72-generic 4.15.0-72.81
ProcVersionSignature: Ubuntu 4.15.0-72.81-generic 4.15.18
Uname: Linux 4.15.0-72-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.9
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: lewi 3043 F.... pulseaudio
 /dev/snd/controlC0: lewi 3043 F.... pulseaudio
CurrentDesktop: ubuntu:GNOME
Date: Mon Dec 2 22:30:56 2019
HibernationDevice: RESUME=UUID=006d5f4b-a2fe-4980-a4b6-108756431036
InstallationDate: Installed on 2014-05-10 (2031 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
MachineType: Dell Inc. XPS13 9333
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-72-generic root=UUID=5bd21a0f-7d69-4ad6-ac73-ad16cc86eb4a ro quiet splash vt.handoff=1
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-72-generic N/A
 linux-backports-modules-4.15.0-72-generic N/A
 linux-firmware 1.173.12
SourcePackage: linux
UpgradeStatus: Upgraded to bionic on 2018-08-12 (476 days ago)
dmi.bios.date: 08/31/2015
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A08
dmi.board.name: 0GFTRT
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: 0.1
dmi.modalias: dmi:bvnDellInc.:bvrA08:bd08/31/2015:svnDellInc.:pnXPS139333:pvr:rvnDellInc.:rn0GFTRT:rvrA00:cvnDellInc.:ct8:cvr0.1:
dmi.product.family: Shark Bay System
dmi.product.name: XPS13 9333
dmi.sys.vendor: Dell Inc.

Lewi S. Kristianto (lewi) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Kai-Heng Feng (kaihengfeng) wrote :

Can you please find the last working kernel?

Lewi S. Kristianto (lewi) wrote :

Hi Kai Heng,

using grub-customizer, changing default boot to vmlinuz-4.15.0-72-generic, touchpad is working

Lewi S. Kristianto (lewi) wrote :

*sorry mistyped, previous using working kernel vmlinuz-4.15.0-70-generic.

Kai-Heng Feng (kaihengfeng) wrote :

Somehow the device is (incorrectly) bound to hid-rmi instead of hid-multitouch.

I don't find any outstanding commits from HID subsystems between the two kernel versions though.
Since hardwares at my hand don't have this issue, the quickest way is to perform a kernel bisection by you.

$ sudo apt build-dep linux
$ git clone git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux/+git/bionic linux
$ cd linux
$ git bisect start
$ git bisect good Ubuntu-4.15.0-70.79
$ git bisect bad Ubuntu-4.15.0-72.81
$ make localmodconfig
$ make -j`nproc` deb-pkg
Install the newly built kernel, then reboot with it.

If it still have the same issue,
$ git bisect bad
Otherwise,
$ git bisect good
Repeat to "make -j`nproc` deb-pkg" until you find the offending commit.

AaronMa (mapengyu) on 2019-12-04
description: updated
AaronMa (mapengyu) wrote :

https://lists.ubuntu.com/archives/kernel-team/2019-December/106108.html

Please stay at 4.15.0-70 kernel or apply the patches above in maillist.
The fix should be in next release.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Bionic):
status: New → Confirmed
Alberto Pianon (alberto-o) wrote :

It affects also my Lenovo Yoga 3 11 with touchpad Synaptics TM2714-002

Philip Parry (philip.parry) wrote :

I have the same problem; Lenovo Yoga 3 11, Synaptics TM2714-002, touchpad not working after update to kernel 4.15.0-72-generic, reboot with 4.15.0-70 and it works fine.

AaronMa (mapengyu) wrote :

Could you test the following kernel ppa please:

sudo add-apt-repository ppa:mapengyu/bionic-oem
sudo apt-get update

sudo apt install linux-image-unsigned-4.15.0-73-generic linux-modules-4.15.0-73-generic linux-modules-extra-4.15.0-73-generic

Jorgehn (jlainezbonilla) wrote :

I have tried what described by AaronMa (apengyu) and now the touchpad of my Dell Inspiron works perfectly. Thank you so much.

AaronMa (mapengyu) wrote :

Could you try the bionic kernel 4.15.0-73 from the proposed channel?

If you already installed the kernel from my ppa, please remove the debs first.

Thanks.

Lewi S. Kristianto (lewi) wrote :

after disable secure boot in the bios,
confirmed that 4.15.0-73 unsigned is working on dell xps-9333

Great (y)

Khaled El Mously (kmously) wrote :

The following link contains a test kernel that can be used to confirm the fix for this issue:

https://kernel.ubuntu.com/~kmously/kernel-kmously-2019795-5QnR/

This kernel is the 4.15.0-72-generic kernel plus one change: Revert 'Input: synaptics-rmi4 - avoid processing unknown IRQs'

For anyone testing this kernel, a minimum of 2 files need to be installed:

linux-image-unsigned-4.15.0-72-generic_4.15.0-72.81~k1_amd64.deb
linux-modules-4.15.0-72-generic_4.15.0-72.81~k1_amd64.deb

I did it from the proposed channel and the touchpad works perfectly, but
when will the kernel be available from the official channels?. Again thanks
you so much.

El lun., 9 dic. 2019 a las 3:15, AaronMa (<email address hidden>)
escribió:

> Could you try the bionic kernel 4.15.0-73 from the proposed channel?
>
> If you already installed the kernel from my ppa, please remove the debs
> first.
>
> Thanks.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1854798
>
> Title:
> Synaptics s3203 touchpad not working after update to kernel
> 4.15.0-72-generic
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1854798/+subscriptions
>

GShyam (ghanshyam99) wrote :

I tried the commands written by AaronMa, but it did not work. So, I just boot with 4.15.0-70-generic.

Jorgehn (jlainezbonilla) wrote :

I did it from the proposed channel and the touchpad works perfectly, but when will the kernel be available from the official channels?

Andreas Kaspar (kandy100) wrote :

Hi all
got the issue on Thinkpad X1 Carbon 6th.
dmesg:
input: Synaptics TM3288-011 as /devices/rmi4-00/input/input20
cheers
Andy

Albert Pool (albertpool) wrote :

Just got the -73 kernel running properly on Xenial (it refused to load modules at first)

The Synaptics TM3289-002 touchpad in my Lenovo ThinkPad X1 Carbon 5th generation works again.

KS (softwareguy101) wrote :

Hi all,

Getting this issue as well I think on my Lenovo Ideapad 320. My touchpad is Synaptics TM3336-001.
Should I try booting with a different kernel, or is there a temporary fix for this available yet?

KS (softwareguy101) wrote :

Yes. I too tried to running sudo apt install xserver-xorg-input-synaptics among other potential options. Nothing has worked so far.

KS (softwareguy101) wrote :

Update: I managed to revert my kernel to 4.15.0-70-generic through the bootloader menu that appears at the start of my laptop, and my touchpad has started working again. I'll keep using this version until a stable fix is pushed

Richard Brooksby (rptb1) wrote :

I can report that the test kernel in #11 fixes this issue for my HP Stream 11 laptop, confirming that https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1856042 is a duplicate of this.

viv (vivkar) wrote :

I have a dell machine, Synaptics TM3108-002 touchpad, ubuntu 18.04.3 LTS.
I faced the same problem after update to kernel 4.15.0-72-generic, touchpad stopped working. I was directed to this link and it kind of solved my problem. I initially wanted to reboot it with kernel 4.15.70-generic but did not know how to do it and the easier option I found was @AaronMa solution.

sudo add-apt-repository ppa:mapengyu/bionic-oem
sudo apt-get update

sudo apt install linux-image-unsigned-4.15.0-73-generic linux-modules-4.15.0-73-generic linux-modules-extra-4.15.0-73-generic

After I followed his solution, touchpad started working again

Question: Since I get it from ppa associated with mapengyu, is it a legit ubuntu kernel. I mean it works fine for now but in future will it get normal ubuntu updates as generally my machine gets? So, suppose the ubuntu software updater wants to update it from 4.15.0-73-generic to 4.15.0-75-generic in future, will it accept the updates and in tun apply the update?

Question: why does this ppa come from a private user mapengyu and not from ubuntu folks itself?

Question: For how long do I need to keep the ppa mapengyu added to my machine. In future can I remove it?

Question : How do I reboot my machine with kernel 4.15.0-70-generic? (this is just from my curiosity and not need because @AaronMa suggestion, made my tochpad responsive again)

cbologa (cbologa) wrote :

Same problem here. Trackpad Synaptics TM3066-002 stopped working in Lenovo Yoga 900-13ISK after upgrade to kernel 4.15.0-72. When restarting with kernel 4.15.0-70 it works. I am eagerly waiting for the kernel update that is going to solve this problem!

Iyed (iyed-bennour1) wrote :

Configured grub to show the grub menu and selection kernel 4.15.0-70-generic I got the touchpad to work again. The problem appeared with 4.15.0-72.

I you can do that instead of installing a kernel from a non official source.

KS (softwareguy101) wrote :

@vivkar, in response to your last question, you should have kernel 4.15.0-70-generic already available to boot from, since an update wouldn't have replaced the old kernel version. Make sure it's not available by going to /boot/ folder on your machine and looking for any files named 4.15.0-70-generic.

If it is not available, perhaps you can try manually downloading the kernel version and then following the instructions in https://superuser.com/questions/208502/how-to-add-a-new-kernel-to-grub2. I'm a complete linux newbie, so take my advice with a grain of salt. If the the 73 version of the kernel is working for you right now, I think you should stay on it until an update becomes available.

I'm not sure about the answer to your other questions

Nath Stone (nathstone87) wrote :

Hi - message for AaronMa (mapengyu)

I can confirm your steps work in the post above.

I upgraded my kernel to '4.15.0-72-generic' and my touchpad stopped working

Touchpad Hardware is: Synaptics TM2976-002

My touchpad now works again after the following steps:

Could you test the following kernel ppa please:

sudo add-apt-repository ppa:mapengyu/bionic-oem
sudo apt-get update

sudo apt install linux-image-unsigned-4.15.0-73-generic linux-modules-4.15.0-73-generic linux-modules-extra-4.15.0-73-generic

Note: For anyone else out there that needs this fix, if you are using the broadcom-sta ko for your wireless and it is loaded via dkms, you will also need to install the kernel headers in order for dkms to do its thing

sudo apt-get install linux-headers-4.15.0-73-generic

Thanks to AaronMa/whomever fixed the bug

Ankush singh (ankush947) wrote :
Download full text (10.2 KiB)

thanks sir

On Sat, Dec 14, 2019 at 7:05 AM Nath Stone <email address hidden>
wrote:

> Hi - message for AaronMa (mapengyu)
>
> I can confirm your steps work in the post above.
>
> I upgraded my kernel to '4.15.0-72-generic' and my touchpad stopped
> working
>
> Touchpad Hardware is: Synaptics TM2976-002
>
> My touchpad now works again after the following steps:
>
> Could you test the following kernel ppa please:
>
> sudo add-apt-repository ppa:mapengyu/bionic-oem
> sudo apt-get update
>
> sudo apt install linux-image-unsigned-4.15.0-73-generic linux-
> modules-4.15.0-73-generic linux-modules-extra-4.15.0-73-generic
>
> Note: For anyone else out there that needs this fix, if you are using
> the broadcom-sta ko for your wireless and it is loaded via dkms, you
> will also need to install the kernel headers in order for dkms to do its
> thing
>
> sudo apt-get install linux-headers-4.15.0-73-generic
>
> Thanks to AaronMa/whomever fixed the bug
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1854895).
> https://bugs.launchpad.net/bugs/1854798
>
> Title:
> Synaptics s3203 touchpad not working after update to kernel
> 4.15.0-72-generic
>
> Status in linux package in Ubuntu:
> Confirmed
> Status in linux source package in Bionic:
> Confirmed
>
> Bug description:
> SRU justification
> =============
> [Impact]
> Synaptics s3203 touchpad not working after update to kernel
> 4.15.0-72-generic
>
> [Fix]
> After applied commit "Input: synaptics-rmi4 - avoid processing unknown
> IRQs",
> no irq response from touchpad.
> This commit is depended on commit:
> "Input: synaptics-rmi4 - convert irq distribution to irq_domain"
>
> [Test]
> Verified on hardware, tests results are good.
>
> [Regression Potential]
> Low.
> Fix bug that introduced by stable release update.
>
> 2nd and 3rd patches are fixes for the 1st patch.
> These commits are already included by eoan kernel, so bionic 4.15 only.
>
> Original reports
> ===========================================================
>
> environment:
> Dell Laptop XPS-9333
> Device:
> # xinput --list
> ⎡ Virtual core pointer id=2 [master pointer
> (3)]
> ⎜ ↳ Virtual core XTEST pointer id=4 [slave
> pointer (2)]
> ⎜ ↳ SYNAPTICS Synaptics Large Touch Screen id=9 [slave
> pointer (2)]
> ⎜ ↳ Synaptics s3203 id=12 [slave
> pointer (2)]
> ⎜ ↳ Ultrathin Touch Mouse id=11 [slave
> pointer (2)]
> ⎣ Virtual core keyboard id=3 [master keyboard
> (2)]
> ↳ Virtual core XTEST keyboard id=5 [slave
> keyboard (3)]
> ↳ Dell WMI hotkeys id=13 [slave
> keyboard (3)]
> ↳ AT Translated Set 2 keyboard id=14 [slave
> keyboard (3)]
> ↳ Integrated_Webcam_HD: Integrate id=10 [slave
> keyboard (3)]
> ↳ DELL Wireless hotkeys id=15 [slave
> keyboard (3)]
> ↳ Video Bus id=7 ...

Ivan (ivanak) wrote :

Hi all,
I have Dell Vostro 15 and i have the same problem, can some one give me step by step how to fix it?

vlad (stulikov) wrote :

Same problem in Lenovo Ideapad 320-15IKB

Ivan (ivanak) wrote :

When the new patch/update will come up for this?

tags: added: regression-update rls-bb-incoming
tags: removed: rls-bb-incoming
Ivan (ivanak) wrote :

Hi all,

can someone tell me how to fix this issue, its getting annoying. Is it going to be new update on this, im not sure about using the ppa. Is there any other safety way to be patched ?

Chris Guiver (guiverc) wrote :

@ivanak

Bug reports aren't for support, for support options please refer to https://discourse.ubuntu.com/t/finding-help/709

For using proposed (comment #13 and others) see https://help.ubuntu.com/community/Repositories/Ubuntu and https://wiki.ubuntu.com/Testing/EnableProposed

Lewi S. Kristianto (lewi) wrote :

Hi Ivanak,

while awaiting new kernel, browsing and testing with kernel 5.x, is working in dell xps 9333,
here is reference how to enable
https://wiki.ubuntu.com/Kernel/LTSEnablementStack

Ivan (ivanak) wrote :

Hi Lewi S. Kristianto,

this works for me... thanks ... and sorry for the questions and all the support etc. I'm making a mistake here, i will know for the next time ...

Albert Pool (albertpool) wrote :

Can someone with the right permissions mark at the top that the bug equally affects Xenial?

Chris Guiver (guiverc) wrote :

@albertpool - it only impacts (as reported) 16.04 LTS WHEN using the 18.04/HWE kernel. To my knowledge there are no reports of it impacting xenial users using 16.04's 4.4 kernel.

Duran Saavedra (duranski) wrote :
Download full text (10.5 KiB)

Having issues with 16.04 LTS with this kernel listed below:

Build Operating System: Linux 4.4.0-128-generic x86_64 Ubuntu.
Current Operating System: 4.15.0-72-generic #81~k1 SMP Mon Dec 9
16:38:18 UTC 2019 x86_64

4.15.0-70-generic runs fine with touchpad

Sorry, not a programmer. Received E-Mail back with below fix but too
inexperienced to figure out how to use it:

SRU justification
=============
[Impact]
Synaptics s3203 touchpad not working after update to kernel
4.15.0-72-generic

[Fix]
After applied commit "Input: synaptics-rmi4 - avoid processing unknown
IRQs",
no irq response from touchpad.
This commit is depended on commit:
"Input: synaptics-rmi4 - convert irq distribution to irq_domain"

[Test]
Verified on hardware, tests results are good.

[Regression Potential]
Low.
Fix bug that introduced by stable release update.

2nd and 3rd patches are fixes for the 1st patch.
These commits are already included by eoan kernel, so bionic 4.15 only.

Original reports
===========================================================

Any help greatly appreciated. Thanks

On Fri, Dec 27, 2019 at 5:35 PM Chris Guiver <email address hidden> wrote:
>
> @albertpool - it only impacts (as reported) 16.04 LTS WHEN using the
> 18.04/HWE kernel. To my knowledge there are no reports of it impacting
> xenial users using 16.04's 4.4 kernel.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1857200).
> https://bugs.launchpad.net/bugs/1854798
>
> Title:
> Synaptics s3203 touchpad not working after update to kernel
> 4.15.0-72-generic
>
> Status in linux package in Ubuntu:
> Confirmed
> Status in linux source package in Bionic:
> Confirmed
>
> Bug description:
> SRU justification
> =============
> [Impact]
> Synaptics s3203 touchpad not working after update to kernel
> 4.15.0-72-generic
>
> [Fix]
> After applied commit "Input: synaptics-rmi4 - avoid processing unknown
> IRQs",
> no irq response from touchpad.
> This commit is depended on commit:
> "Input: synaptics-rmi4 - convert irq distribution to irq_domain"
>
> [Test]
> Verified on hardware, tests results are good.
>
> [Regression Potential]
> Low.
> Fix bug that introduced by stable release update.
>
> 2nd and 3rd patches are fixes for the 1st patch.
> These commits are already included by eoan kernel, so bionic 4.15 only.
>
> Original reports
> ===========================================================
>
> environment:
> Dell Laptop XPS-9333
> Device:
> # xinput --list
> ⎡ Virtual core pointer id=2 [master pointer (3)]
> ⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
> ⎜ ↳ SYNAPTICS Synaptics Large Touch Screen id=9 [slave pointer (2)]
> ⎜ ↳ Synaptics s3203 id=12 [slave pointer (2)]
> ⎜ ↳ Ultrathin Touch Mouse id=11 [slave pointer (2)]
> ⎣ Virtual core keyboard id=3 [master keyboard (2)]
> ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
> ↳ Dell WMI hotkeys ...

Nilesh Pansuriya (ndpansuriya) wrote :

Follow this steps, it works for me:

1. Run
    $ sudo -H gedit /etc/default/grub

In the open window edit line

    GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"

it should look this way

    GRUB_CMDLINE_LINUX_DEFAULT="quiet splash i8042.nopnp"

Save file and run

    $ sudo update-grub

2. Run
    $ echo "blacklist i2c_hid" | sudo tee /etc/modprobe.d/i2c-hid.conf
    $ sudo depmod -a
    $ sudo update-initramfs -u
    $ echo "synaptics_i2c" | sudo tee -a /etc/modules

3. Reboot.

ROHIT RAJ (rohitr264) wrote :
Download full text (10.1 KiB)

Hello Nilesh,

Amazing bro. It worked flawlessly . I was literally pissed off
upgrading/downgrading kernels and doing shitty troubleshootings.
thanks a lot man . You literally saved my day.

regards,
Rohit

On Mon, Dec 30, 2019 at 3:30 PM Nilesh Pansuriya <email address hidden>
wrote:

> Follow this steps, it works for me:
>
> 1. Run
> $ sudo -H gedit /etc/default/grub
>
> In the open window edit line
>
> GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
>
> it should look this way
>
> GRUB_CMDLINE_LINUX_DEFAULT="quiet splash i8042.nopnp"
>
> Save file and run
>
> $ sudo update-grub
>
> 2. Run
> $ echo "blacklist i2c_hid" | sudo tee /etc/modprobe.d/i2c-hid.conf
> $ sudo depmod -a
> $ sudo update-initramfs -u
> $ echo "synaptics_i2c" | sudo tee -a /etc/modules
>
> 3. Reboot.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1855845).
> https://bugs.launchpad.net/bugs/1854798
>
> Title:
> Synaptics s3203 touchpad not working after update to kernel
> 4.15.0-72-generic
>
> Status in linux package in Ubuntu:
> Confirmed
> Status in linux source package in Bionic:
> Confirmed
>
> Bug description:
> SRU justification
> =============
> [Impact]
> Synaptics s3203 touchpad not working after update to kernel
> 4.15.0-72-generic
>
> [Fix]
> After applied commit "Input: synaptics-rmi4 - avoid processing unknown
> IRQs",
> no irq response from touchpad.
> This commit is depended on commit:
> "Input: synaptics-rmi4 - convert irq distribution to irq_domain"
>
> [Test]
> Verified on hardware, tests results are good.
>
> [Regression Potential]
> Low.
> Fix bug that introduced by stable release update.
>
> 2nd and 3rd patches are fixes for the 1st patch.
> These commits are already included by eoan kernel, so bionic 4.15 only.
>
> Original reports
> ===========================================================
>
> environment:
> Dell Laptop XPS-9333
> Device:
> # xinput --list
> ⎡ Virtual core pointer id=2 [master pointer
> (3)]
> ⎜ ↳ Virtual core XTEST pointer id=4 [slave
> pointer (2)]
> ⎜ ↳ SYNAPTICS Synaptics Large Touch Screen id=9 [slave
> pointer (2)]
> ⎜ ↳ Synaptics s3203 id=12 [slave
> pointer (2)]
> ⎜ ↳ Ultrathin Touch Mouse id=11 [slave
> pointer (2)]
> ⎣ Virtual core keyboard id=3 [master keyboard
> (2)]
> ↳ Virtual core XTEST keyboard id=5 [slave
> keyboard (3)]
> ↳ Dell WMI hotkeys id=13 [slave
> keyboard (3)]
> ↳ AT Translated Set 2 keyboard id=14 [slave
> keyboard (3)]
> ↳ Integrated_Webcam_HD: Integrate id=10 [slave
> keyboard (3)]
> ↳ DELL Wireless hotkeys id=15 [slave
> keyboard (3)]
> ↳ Video Bus id=7 [slave
> keyboard (3)]
> ↳ Power Button id=8 [slave
> keyboard (3)]
> ↳ Power Button ...

Cliff Wong (recharged95) wrote :

Nilesh's disabling of the i2c hid mod works. But on my hardware (dell xps 9333, i7) while fixing the TouchPad, this fix kills the touchscreen mouse input.
Less of 2 evils for now.

Rodop (rodopee) wrote :

The same problem on Lenovo Ideapad320 with kernel 4.15.0-72-generic #81-Ubuntu SMP Tue Nov 26 12:20:02 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux.

The problem didn't exist in previous kernel version.

Ken Norris (ken-norris) wrote :

Nilesh's fix worked for me thanks ... Ubuntu 16.04 Dell Inspiron 15 3000 series kernel 4.15.0-72-generic

Damian Yerrick (tepples) wrote :

I confirm that installing Linux 4.15.0.74 also fixes this issue.

sudo sh -c 'apt update && apt -y upgrade && reboot'

Eugene Romero (anakondarh) wrote :

Can confirm that kernel version 4.15.0.74 fixes issue for me as well.

Albert Pool (albertpool) wrote :

Yes, works fine.

I'll change the status to fix released.

Changed in linux (Ubuntu Bionic):
status: Confirmed → Fix Released
Albert Pool (albertpool) wrote :

@Cliff Wong, your problem should be fixed as well. Please try the 4.15.0-74 kernel without any i8042 boot parameters to see whether you can use both your touchpad and touchscreen again.

Gilles GAIDO (ggo) wrote :

since last upgrade it works fine too : thanx a lot ! best regards

Dave Jones (waveform) wrote :

Are we sure this is fixed for Bionic? I've just installed 18.04.3 on an old Acer Travelmate B118; under the live USB the touchpad didn't work which sent me hunting around for bugs and eventually this one. After the installation concluded I found the touchpad still didn't work so I attempted Nilesh's workaround from #43, which was successful. The kernel version that's installed is the 5.3 HWE version.

Happy to open a separate bug if that's preferred but just thought I'd check here whether the HWE kernel is expected to include this fix too?

Albert Pool (albertpool) wrote :

@Dave Jones This issue is specific to 4.15: backporting a bugfix from a newer kernel to the 4.15 series went wrong because the commit depended on another one which was missing in 4.15. It's better to open a new bug if 5.3 has problems. They might be specific to your hardware.

(Also, a live medium might not have the newest kernel from the 5.3 HWE series. So please report your exact kernel version (use 'uname -r' in terminal) next time.)

To post a comment you must log in.